import cdk = require('@aws-cdk/core');
import dynamodb = require('@aws-cdk/aws-dynamodb');
export interface TableViewerProps {
    /**
     * The DynamoDB table to view. Note that all contents of this table will be
     * visible to the public.
     */
    readonly table: dynamodb.Table;
    /**
     * The web page title.
     * @default - No title
     */
    readonly title?: string;
    /**
     * Name of the column to sort by, prefix with "-" for descending order.
     * @default - No sort
     */
    readonly sortBy?: string;
}
/**
 * Installs an endpoint in your stack that allows users to view the contents
 * of a DynamoDB table through their browser.
 */
export declare class TableViewer extends cdk.Construct {
    readonly endpoint: string;
    constructor(parent: cdk.Construct, id: string, props: TableViewerProps);
}
